| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Functions
std Namespace Reference

## Functions
qx_hash_result | qHash (const std::string &s)
qx_hash_result | qHash (const std::wstring &s)
template<typename T0 , typename T1 >
std::size_t | hash_value (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
std::size_t | hash_value (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
std::size_t | hash_value (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)
template<typename T0 , typename T1 >
qx_hash_result | qHash (const std::tuple< T0, T1 > &tu)
template<typename T0 , class T1 , typename T2 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4, T5 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > &tu)
template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
qx_hash_result | qHash (const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > &tu)

## Function Documentation

template<typename T0 , typename T1 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1 > & | tu | ) | `[inline]`

Definition at line 268 of file QxHashValue.h.

template<typename T0 , class T1 , typename T2 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2 > & | tu | ) | `[inline]`

Definition at line 277 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3 > & | tu | ) | `[inline]`

Definition at line 287 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4 > & | tu | ) | `[inline]`

Definition at line 298 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5 > & | tu | ) | `[inline]`

Definition at line 310 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | tu | ) | `[inline]`

Definition at line 323 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | tu | ) | `[inline]`

Definition at line 337 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | tu | ) | `[inline]`

Definition at line 352 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

std::size_t std::hash_value | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | tu | ) | `[inline]`

Definition at line 368 of file QxHashValue.h.

qx_hash_result std::qHash | ( | const std::string & | s | ) | `[inline]`

Definition at line 260 of file QxHashValue.h.

qx_hash_result std::qHash | ( | const std::wstring & | s | ) | `[inline]`

Definition at line 261 of file QxHashValue.h.

template<typename T0 , typename T1 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1 > & | tu | ) | `[inline]`

Definition at line 396 of file QxHashValue.h.

template<typename T0 , class T1 , typename T2 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2 > & | tu | ) | `[inline]`

Definition at line 400 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3 > & | tu | ) | `[inline]`

Definition at line 404 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4 > & | tu | ) | `[inline]`

Definition at line 408 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5 > & | tu | ) | `[inline]`

Definition at line 412 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6 > & | tu | ) | `[inline]`

Definition at line 416 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7 > & | tu | ) | `[inline]`

Definition at line 420 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8 > & | tu | ) | `[inline]`

Definition at line 424 of file QxHashValue.h.

template<typename T0 , typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >

qx_hash_result std::qHash | ( | const std::tuple< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9 > & | tu | ) | `[inline]`

Definition at line 428 of file QxHashValue.h.